Update an assistant
Update an existing assistant. Accepts accountSlug and any assistant fields supported by the backend (prompts, voices, models, telephony settings, etc.).
curl -X PATCH "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)" \
-d '{
"accountSlug": "example_string",
"name": "John Doe",
"voice": "example_string",
"model": "example_string",
"transcriptor_options": {}
}'
import requests
import json
url = "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)"
}
data = {
"accountSlug": "example_string",
"name": "John Doe",
"voice": "example_string",
"model": "example_string",
"transcriptor_options": {}
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)"
},
body: JSON.stringify({
"accountSlug": "example_string",
"name": "John Doe",
"voice": "example_string",
"model": "example_string",
"transcriptor_options": {}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"accountSlug": "example_string",
"name": "John Doe",
"voice": "example_string",
"model": "example_string",
"transcriptor_options": {}
}`)
req, err := http.NewRequest("PATCH", "https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/assistants/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (tk_live_ or tk_test_)'
request.body = '{
"accountSlug": "example_string",
"name": "John Doe",
"voice": "example_string",
"model": "example_string",
"transcriptor_options": {}
}'
response = http.request(request)
puts response.body
{
"success": true,
"assistant": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"account_slug": "example_string",
"name": "John Doe",
"type": "example_string",
"voice": "example_string",
"model": "example_string",
"created_at": "2024-12-25T10:00:00Z",
"updated_at": "2024-12-25T10:00:00Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/assistants/{assistantId}Target server for requests. Edit to use your own host.
Talkturo API key. Send as Authorization: Bearer tk_live_... or
Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults
to 1000 requests per hour.
Authorization: Bearer tk_live_... or
Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults
to 1000 requests per hour.
Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Assistant UUID
The media type of the request body
Validated against the selected provider and model when present
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (tk_live_ or tk_test_). Talkturo API key. Send as Authorization: Bearer tk_live_... or
Authorization: Bearer tk_test_.... Default scope is *; rate limit defaults
to 1000 requests per hour.
API Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
Assistant UUID
Body
Validated against the selected provider and model when present